PHP > Version 5.4 auf Apache 2.2 auf Windows

Alles, was den Apache betrifft, kann hier besprochen werden.

PHP > Version 5.4 auf Apache 2.2 auf Windows

Postby jmar83 » 10. March 2018 12:29

Hallo zusammen

Gibt es eine Möglichkeit PHP > Version 5.4 auf Apache 2.2 auf Windows laufen zu lassen?

Wäre es evtl. möglich, wenn die PHP-Version > 5.4 mit VC9 kompiliert wurde, oder ist das nicht davon abhängig? Habe eine alte alpha-Version von PHP 5.5, kompiliert mit MSVC9, gefunden, allerdings schient das auch nicht wirklich zu laufen mit Apache 2.2.x auf Windows..
Grüsse,
Jan
jmar83
 
Posts: 7
Joined: 07. January 2018 04:10
XAMPP version: Apache 2.4
Operating System: Debian 9

Re: PHP > Version 5.4 auf Apache 2.2 auf Windows

Postby jmar83 » 10. March 2018 12:49

Nachtrag: Hier schreibt jemand dass Zend mit Apache 2.2 und PHP 5.5 läuft, ist das evtl. speziell kompiliert?

https://serverfault.com/questions/577484/php-5-5-9-with-apache-2-2-on-windows


...dann könnte ich das PHP Framework dort druaus nehmen?
Grüsse,
Jan
jmar83
 
Posts: 7
Joined: 07. January 2018 04:10
XAMPP version: Apache 2.4
Operating System: Debian 9

Re: PHP > Version 5.4 auf Apache 2.2 auf Windows

Postby Altrea » 10. March 2018 13:22

Hallo,

jmar83 wrote:Gibt es eine Möglichkeit PHP > Version 5.4 auf Apache 2.2 auf Windows laufen zu lassen?

Ja, PHP 5.4.45 zum Beispiel liefert eine php5apache2_2.dll zur Einbindung von PHP als Apache Modul mit.
Es ist aber auch möglich PHP per CGI einzubinden, dann bist du weitestgehend unabhängig von vorkompilierten Modul-dlls.

jmar83 wrote:Wäre es evtl. möglich, wenn die PHP-Version > 5.4 mit VC9 kompiliert wurde, oder ist das nicht davon abhängig?

Es ist insofern davon abhängig, dass du die entsprechende Laufzeitumgebung mitgeben musst.

jmar83 wrote:Nachtrag: Hier schreibt jemand dass Zend mit Apache 2.2 und PHP 5.5 läuft, ist das evtl. speziell kompiliert?

https://serverfault.com/questions/57748 ... on-windows


...dann könnte ich das PHP Framework dort druaus nehmen?

Zend verwendet immer speziell kompilierte Pakete, die hochgradig aufeinander abgestimmt aber auch stark voneinander abhängig sind.
Lizenzrechtlich dürfte es auch nicht erlaubt sein einzelne Teile daraus in eine eigene Umgebung zu entkapseln.

Aber zum Schluß: Wo ist der Bezug zu XAMPP? Du bist hier schließlich im XAMPP für Windows Forum.
We don't provide any support via personal channels like PM, email, Skype, TeamViewer!

It's like porn for programmers 8)
User avatar
Altrea
AF Moderator
 
Posts: 9124
Joined: 17. August 2009 13:05
XAMPP version: several
Operating System: Windows 10 Pro x64

Re: PHP > Version 5.4 auf Apache 2.2 auf Windows

Postby jmar83 » 12. March 2018 09:59

Hallo Altrea

Vielen Dank für Dein schnelles Feedback. Dann werde ich mal schauen...:)

"Aber zum Schluß: Wo ist der Bezug zu XAMPP? Du bist hier schließlich im XAMPP für Windows Forum."

Oh, dann bin ich wohl im falschen Bereich gelandet, evtl. kann ja ein admin den Thread verschieben nach https://community.apachefriends.org/f/viewforum.php?f=5 oder so..?
Grüsse,
Jan
jmar83
 
Posts: 7
Joined: 07. January 2018 04:10
XAMPP version: Apache 2.4
Operating System: Debian 9

Re: PHP > Version 5.4 auf Apache 2.2 auf Windows

Postby jmar83 » 12. March 2018 14:53

"Ja, PHP 5.4.45 zum Beispiel liefert eine php5apache2_2.dll zur Einbindung von PHP als Apache Modul mit."


War ein wenig schnell im lesen... wie gesagt geht es PHP Versionen > 5.4, da ich bei try/catch nen finally-Block brauche. ("PHP > Version 5.4 auf Apache 2.2 auf Windows")
Grüsse,
Jan
jmar83
 
Posts: 7
Joined: 07. January 2018 04:10
XAMPP version: Apache 2.4
Operating System: Debian 9

Re: PHP > Version 5.4 auf Apache 2.2 auf Windows

Postby jmar83 » 12. March 2018 14:53

Also Version 5.5 oder gar 5.6...
Grüsse,
Jan
jmar83
 
Posts: 7
Joined: 07. January 2018 04:10
XAMPP version: Apache 2.4
Operating System: Debian 9


Return to Apache

Who is online

Users browsing this forum: No registered users and 3 guests